#!/usr/bin/perl
#
# automatically HTML for all photos
# read the file names from "nprlog"
# put two images (original and processed) next to each other
#
open(NPRLOG, "nprlog") || die ("cannot open nprlog");
$totalCnt = 0;
while ($oneLine = <NPRLOG>) { $totalCnt ++; }
close NPRLOG;
open(NPRLOG, "nprlog") || die ("cannot open nprlog");
open(HTMLFILE, ">pair.htm") || die ("cannot open pair.htm");
$pairCnt = 0;
print HTMLFILE "<html><title>Photos</title>\n\n";
while ($oneLine = <NPRLOG>)
{
    if ($oneLine =~ /([\w]+\.jpg) \-> ([\w]+\.jpg*)\s+(\d+)\s+(\d+)\s+([\.\d]+)/)
    {
	$origFile = $1;
	$newFile = $2;
	$origSize = $3;
	$newSize = $4;
	$ratio = $5;
	$singlePair = "pair" . $pairCnt . ".htm";
	print HTMLFILE "<a href=\"$singlePair\">\n";
	print HTMLFILE "<img src=\"$origFile\" height=120 border=0></a>\n";
	print HTMLFILE "<a href=\"$singlePair\">\n";
	print HTMLFILE "<img src=\"$newFile\" height=120 border=0></a>\n";
	print HTMLFILE "$ratio\n";
	open(SINGLEPAIR, ">$singlePair") || die ("cannot open $singlePair");
	print SINGLEPAIR "<html><body><center>[\n";
	if ($pairCnt > 0)
	{
	    $prevCnt = $pairCnt - 1;
	    $prevPair = "pair$prevCnt" . ".htm";
	    print SINGLEPAIR "<a href=\"$prevPair\">previous</a> | \n";
	}
	if ($pairCnt != ($totalCnt - 1))	
	{
	    $nextCnt = $pairCnt + 1;
	    $nextPair = "pair$nextCnt" . ".htm";
	    print SINGLEPAIR "<a href=\"$nextPair\">next</a> | \n";
	}
	print SINGLEPAIR "<a href=\"pair.htm\">index</a>]\n<p><p>\n\n";
	print SINGLEPAIR "<img src=\"$origFile\" border=0>\n";
	print SINGLEPAIR "<img src=\"$newFile\" border=0>\n";
	print SINGLEPAIR "$ratio\n";
	print SINGLEPAIR "</center></body></html>\n\n";
	close SINGLEPAIR;
	# print "$origFile to $newFile = $ratio\n";
	$pairCnt ++;
	if (($pairCnt % 2) == 0) { print HTMLFILE "<p>\n\n\n"; }
    }
}
close HTMLFILE;
